	;;  uguale all'esame.....
	
segment .text
	global main
	extern printf,exit

main:	push dword 3
	push dword 5
	mov ebp,esp
	mov eax,[esp]
	mov ebx,[ebp]
	add eax, ebx
	add esp, 4
	mov ebx,[esp]
	push ebx
	push eax
	push dword format
	call printf
	add esp, 4*3
	push dword 0
	call exit
	hlt
	
segment .rodata
format:	db "EAX %d, EBX %d",0x0a,0 ; 0x0a -> a capo


